iphone 3gs already on ios4 - can i jailbreak - old bootrom

Discussion in 'Jailbreaks and iOS Hacks' started by bova80, Jun 24, 2010.

  1. bova80 macrumors 6502a

    Joined:
    Jul 8, 2008
    Location:
    Pittsburgh, PA
    #1
    with snowbreeze it seems like from what i read you can jailbreak if you already are on ios4 but i can't make heads or tails from everything i read. and when i was creating the ispw snowbreeze says "sn0wbreeze has detected that this device cannot be jailbroken with snowbreeze unless it is already jailbroken"

    so i take it that means i can't? i have checked that i'm running the old bootrom and everything.
     
  2. Imsuperjp macrumors 6502

    Joined:
    Apr 9, 2010
  3. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #3
    If you have your 3.1.2 SHSH saved you can downgrade to 3.1.2, jailbreak with redsn0w, then upgrade to a custom 4.0. Otherwise, there is currently no way to jailbreak a 3GS already at 4.0.
     
  4. bova80 thread starter macrumors 6502a

    Joined:
    Jul 8, 2008
    Location:
    Pittsburgh, PA
    #4
    ok so i did jailbreak back when i had 3.1.2 or 3.1.3 i think and i saved that info to saurik. so all i need to do is downgrade to 3.1.2 then upgrade to 4.0 custom? i can't just restore to my 4.0 custom now?
     
  5. pixelated macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #5
    no, your phone must be pwned to restore a custom 4.0, and it can only be pwned at 3.1.2 or lower
     
  6. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #6
    Yes, assuming it was 3.1.2 that you saved your SHSH for. You will first need to edit your hosts file in order to downgrade using saurik's server.

    He said that he may have his 3.1.2 SHSH on file.
     
  7. pixelated macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #7
    yeah, my reply was just to the 'i can't just restore to my 4.0 custom now?' question... I followed it up by saying it had to be downgraded to be pwned.
     

Share This Page